<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEformInstructionInstructionCategoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: eform_instruction_instruction_categories
         */
        Schema::create('eform_instruction_instruction_categories', function ($table) {
            $table->increments('id');
            $table->string('name', 30)->nullable();
            $table->text('description')->nullable();
            $table->text('image')->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('status', [Show])->nullable();
            $table->string('slug', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('eform_instruction_instruction_categories');
    }
}
