<?php

// Web routes  for instruction.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for instruction_category

Route::prefix('{guard}/instruction_category')->group(function () {


    Route::get('/action/{instruction_category}/{user}', 'InstructionCategoryActionController@get')
        ->name('eform.instruction.action');
    Route::post('/action/{instruction_category}/{user}', 'InstructionCategoryActionController@post');

});


// Workflow routes for instructions

Route::prefix('{guard}/instructions')->group(function () {


    Route::get('/action/{instructions}/{user}', 'InstructionsActionController@get')
        ->name('eform.instruction.action');
    Route::post('/action/{instructions}/{user}', 'InstructionsActionController@post');

});

