<?php

namespace Eform\Instruction\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Eform\Instruction\Models\Instructions;

class InstructionsAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Instructions $instructions,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
